package com.gyee.frame.util.golden.timeseries;

import com.gyee.frame.model.custom.PointData;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @descrition:接口请求失败返回操作类
 * @author:Wanghs
 * @date:2018-05-21
 */
public class ErrorRequest {

    public static List<PointData> RequestListError(String pointId) {
        List<PointData> dataList = new ArrayList<>();
        return dataList;
    }

    public static List<PointData> RequestListError(String... pointId) {
        List<PointData> dataList = new ArrayList<>();
        return dataList;
    }

    public static PointData RequestError(String pointId) {
        PointData data = new PointData();
        data.setPointValueInDouble(0);
        data.setPointName("0");
        return data;
    }

    public static Map<String, Double> RequestMapError() {
        Map<String, Double> resultMap = new HashMap();
        return resultMap;
    }
}
